# Verifications oneTime resource

Successful account verification outcome.

Endpoint: POST /verifications/accounts/intelligent/oneTime
Version: 5
Security: BasicAuth

## Security:

  - `BasicAuth` (unknown)
    http basic

## Header parameters:

  - `Authorization` (string, required)

  - `Accept` (string, required)

  - `Content-Type` (string, required)

## Request fields (application/vnd.worldpay.verifications.accounts-v5+json):

  - `merchant` (object, required)

  - `merchant.entity` (string, required)

  - `merchant.mcc` (string)

  - `merchant.paymentFacilitator` (object)

  - `merchant.paymentFacilitator.pfId` (string, required)

  - `merchant.paymentFacilitator.isoId` (string)

  - `merchant.paymentFacilitator.subMerchant` (object, required)

  - `merchant.paymentFacilitator.subMerchant.merchantId` (string, required)

  - `merchant.paymentFacilitator.subMerchant.name` (string, required)

  - `merchant.paymentFacilitator.subMerchant.street` (string, required)

  - `merchant.paymentFacilitator.subMerchant.city` (string, required)

  - `merchant.paymentFacilitator.subMerchant.state` (string)

  - `merchant.paymentFacilitator.subMerchant.countryCode` (string, required)

  - `merchant.paymentFacilitator.subMerchant.postalCode` (string, required)

  - `merchant.paymentFacilitator.subMerchant.taxId` (string)

  - `merchant.paymentFacilitator.subMerchant.telephone` (string)

  - `merchant.paymentFacilitator.subMerchant.email` (string)

  - `merchant.paymentFacilitator.subMerchant.url` (string)

  - `channel` (string)
    The payment channel indicates the interaction of the cardholder with the merchant. Supply a value of `moto` to process an authorization as a Mail Order or Telephone Order transaction. If channel is not provided, the authorization will be processed as ecommerce by default.
**NOTE:** 3DS `authentication` data cannot be supplied for MOTO payments.
    Enum: "moto"

  - `consumerBillPayment` (boolean)
    If you are registered with Visa as a Consumer Bill Payment Service (CBPS), you must set this to `true` for any payments associated with the CBPS.

  - `currency` (string, required)

  - `paymentInstrument` (any, required)

  - `paymentInstrument.type` (string, required)

  - `paymentInstrument.cardHolderName` (string)

  - `paymentInstrument.cardExpiryDate` (object, required)

  - `paymentInstrument.cardExpiryDate.month` (integer, required)

  - `paymentInstrument.cardExpiryDate.year` (integer, required)

  - `paymentInstrument.cardNumber` (string, required)

  - `paymentInstrument.verificationAddress` (object)

  - `paymentInstrument.verificationAddress.address1` (string)

  - `paymentInstrument.verificationAddress.postalCode` (string, required)

  - `paymentInstrument.verificationAddress.city` (string, required)

  - `paymentInstrument.verificationAddress.countryCode` (string, required)

  - `paymentInstrument.cvc` (string)

  - `narrative` (object)

  - `narrative.line1` (string, required)

  - `narrative.line2` (string)

  - `transactionReference` (string, required)

  - `customer` (object)

  - `customer.authentication` (object, required)

  - `customer.authentication.version` (string, required)

  - `customer.authentication.type` (string, required)

  - `customer.authentication.eci` (string, required)

  - `customer.authentication.authenticationValue` (string)

  - `customer.authentication.transactionId` (string)

## Request examples:

  - `Successful account verification outcome.` (unknown)
    Successful account verification outcome.

  - `Refused account verification outcome.` (unknown)
    Refused account verification outcome

  - `Successful account verification outcome with MOTO channel.` (unknown)
    Successful account verification outcome with MOTO channel.

  - `Successful account verification outcome with CBPS fields.` (unknown)
    Successful account verification outcome with CBPS fields.

  - `Successful dynamic MCC account verification outcome.` (unknown)
    Successful dynamic MCC account verification outcome.

  - `Successful payment facilitator account verification outcome.` (unknown)
    Successful payment facilitator account verification outcome.

  - `Successful account verification outcome with 3DS1 values.` (unknown)
    Successful account verification outcome with 3DS1 values.

  - `Successful account verification outcome with 3DS2 (Cartes Bancaires) values.` (unknown)
    Successful account verification outcome with 3DS2 (Cartes Bancaires) values.

  - `Successful account verification outcome with 3DS2 values.` (unknown)
    Successful account verification outcome with 3DS2 values.

  - `Successful account verification with a token.` (unknown)
    Successful account verification with a token.

## Response 201:

  - `201` (unknown)
    The account verification has been successful.

## Response 201 fields (application/vnd.worldpay.verifications.accounts-v5+json):

  - `outcome` (string, required)

  - `checkedAt` (string, required)

  - `riskFactors` (array)

  - `riskFactors.risk` (string, required)

  - `riskFactors.detail` (string)

  - `riskFactors.type` (string, required)

  - `paymentInstrument` (object)

  - `paymentInstrument.type` (string, required)

  - `paymentInstrument.card` (object)

  - `paymentInstrument.card.number` (object)

  - `paymentInstrument.card.number.bin` (string, required)

  - `paymentInstrument.card.number.last4Digits` (string, required)

  - `paymentInstrument.card.countryCode` (string)

  - `paymentInstrument.card.expiryDate` (object)

  - `paymentInstrument.card.expiryDate.month` (integer, required)

  - `paymentInstrument.card.expiryDate.year` (integer, required)

  - `paymentInstrument.card.brand` (string)

  - `paymentInstrument.card.fundingType` (string)

  - `paymentInstrument.card.issuer` (object)

  - `paymentInstrument.card.issuer.name` (string, required)

  - `paymentInstrument.card.category` (string)

  - `paymentInstrument.card.paymentAccountReference` (string)

## Response 201 examples:

  - `Successful account verification outcome.` (unknown)
    Successful account verification outcome.

  - `Refused account verification outcome.` (unknown)
    Refused account verification outcome.

  - `Successful dynamic MCC account verification outcome.` (unknown)
    Successful dynamic MCC account verification outcome.

  - `Successful payment facilitator account verification outcome.` (unknown)
    Successful payment facilitator account verification outcome.

  - `Successful account verification outcome with 3DS1 values.` (unknown)
    Successful account verification outcome with 3DS1 values.

  - `Successful account verification outcome with 3DS2 values.` (unknown)
    Successful account verification outcome with 3DS2 values.

  - `Successful account verification outcome with 3DS2 (Cartes Bancaires) values` (unknown)
    Successful account verification outcome with 3DS2 (Cartes Bancaires) values.

  - `Successful account verification with a token.` (unknown)
    Successful account verification with a token.

